Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(30)

Issue 2085923002: service worker: When claiming, don't assume document_url is valid (Closed)

Created:
3 years, 3 months ago by falken
Modified:
3 years, 3 months ago
Reviewers:
horo
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, tzik, serviceworker-reviews, jam, kinuko+serviceworker, nhiroki, darin-cc_chromium.org, horo+watch_chromium.org, kinuko+watch, blink-worker-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

service worker: When claiming, don't assume document_url is valid Many provider hosts have an empty document_url, for example those that haven't yet been loaded or those created for special URLs like chrome-search://. So that claim can use IsContextSecureForServiceWorker, return false when the URL is invalid instead of doing a DCHECK that it's valid. BUG=621762, 607543 Committed: https://crrev.com/dd5dd98f5f59f4f53274308ec0a7dca74aba6525 Cr-Commit-Position: refs/heads/master@{#401216}

Patch Set 1 #

Patch Set 2 : horo comment #

Total comments: 1

Patch Set 3 : comment #

Patch Set 4 : revise comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -1 line) Patch
M content/browser/service_worker/service_worker_provider_host.cc View 1 2 3 1 chunk +6 lines, -1 line 0 comments Download

Messages

Total messages: 22 (13 generated)
falken
horo: Can you take a look? As mentioned in the description, even calling IsContextSecureForServiceWorker should ...
3 years, 3 months ago (2016-06-21 09:33:48 UTC) #2
horo
On 2016/06/21 09:33:48, falken wrote: > horo: Can you take a look? > > As ...
3 years, 3 months ago (2016-06-22 02:34:30 UTC) #4
falken
Ah yea that's better. Done.
3 years, 3 months ago (2016-06-22 03:34:26 UTC) #7
horo
LGTM with nit https://codereview.chromium.org/2085923002/diff/20001/content/browser/service_worker/service_worker_provider_host.cc File content/browser/service_worker/service_worker_provider_host.cc (right): https://codereview.chromium.org/2085923002/diff/20001/content/browser/service_worker/service_worker_provider_host.cc#newcode122 content/browser/service_worker/service_worker_provider_host.cc:122: if (!document_url_.is_valid()) nit: Please add comments ...
3 years, 3 months ago (2016-06-22 04:27:43 UTC) #10
falken
Done.
3 years, 3 months ago (2016-06-22 04:48:16 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2085923002/40001
3 years, 3 months ago (2016-06-22 04:50:03 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2085923002/60001
3 years, 3 months ago (2016-06-22 05:00:13 UTC) #18
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 3 months ago (2016-06-22 06:33:09 UTC) #20
commit-bot: I haz the power
3 years, 3 months ago (2016-06-22 06:36:52 UTC) #22
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/dd5dd98f5f59f4f53274308ec0a7dca74aba6525
Cr-Commit-Position: refs/heads/master@{#401216}

Powered by Google App Engine
This is Rietveld 408576698